@import '../../../../packages/circutor-ui/scss/01-settings/cds-variables';
@import '../../../../packages/circutor-ui/scss/02-tools/cds-mixins';

@mixin cds-icon {
    font-family: 'CDSIcons' !important;
    font-size: $cds-icon-150;
    line-height: 1;
}

.logo-c,
.logo-e {
    position: absolute;
    transition: left .5s ease-in-out;
}

.logo-c {
    left: -100px;
}

.logo-e {
    left: 0px;
}

.navmenu {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.navItem {
    text-wrap: nowrap;
    padding-inline: 12px;
}



.navLink {
    background-color: var(--cds-color-background-transparent);
    display: flex;
    flex-direction: row;
    gap: 12px;
    padding: 8px;
    justify-content: space-between;
    align-items: center;
    border-radius: 0.25rem;
    min-width: 40px;
    cursor: pointer;

    &:hover {
        background-color: var(--cds-color-background-deep);
    }

    &__content {
        width: 100%;
    }

    &__chevron {
        transition: all .2s ease-in-out;
    }


}

.has-badge::after {
    content: '';
    position: absolute;
    width: 8px;
    height: 8px;
    background-color: var(--cds-color-accent-primary-base);
    border-radius: 999rem;
    padding: 0;
    transform: translate(16px, -8px);
}

.navsubmenu {
    display: none;
    flex-direction: column;
    gap: 2px;
    padding: 8px 0 8px 8px;
    margin-left: 20px;
    border-left: 1px dotted var(--cds-color-border-default);
    z-index: 4;

    //background-color: var(--cds-color-background-soft);
    //background: linear-gradient(to right, var(--cds-color-background-default), var(--cds-color-background-soft));
}

.navsublink {
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
    gap: 8px;
    padding: 4px 16px;
    border-radius: 0.25rem;

    &:hover {
        background-color: var(--cds-color-background-deep);
    }

    &__content {
        width: 100%;
    }
}

//states
.navItemOpen {
    & .navLink {
        background-color: var(--cds-color-background-deep);

        &__chevron {
            transform: rotate(180deg);
        }
    }

    & .navsubmenu {
        display: flex;
    }
}

.is-active {
    color: var(--cds-color-accent-primary-base);
}

//sidebar


.collapsed-sidebar {
    .logo-c {
        left: 0px;
    }

    .logo-e {
        left: -100px;
    }

    .tiki-sidebar__bottom .navsubmenu {
        transform: translateY(-100%);
    }

    .navItem {
        & .navsubmenu {
            display: none;
            position: absolute;
            width: fit-content;
            padding: 8px;
            box-shadow: 1rem 0 .5rem rgba(0, 0, 0, 0.1);
            border-radius: 0.25rem;
            border: 1px solid var(--cds-color-border-default);
            background-color: var(--cds-color-background-default);
            margin-left: 0;
        }

        &:hover {
            & ul.navsubmenu {
                display: flex;
            }

            .navLink {
                background-color: var(--cds-color-background-deep);
                // padding-right: 16px;

                // &__content,
                // &__badge {
                //     display: block;
                // }
            }
        }

        .navLink {
            display: flex;
            flex-direction: row;
            width: fit-content;

            &__content,
            &__chevron,
            &__badge {
                display: none;
            }
        }
    }
}

.collapseds-sidebar {
    .logo-c {
        left: 0px;
    }

    .logo-e {
        left: -100px;
    }

    .navItem {
        & .navsubmenu {
            display: none;
            width: fit-content;
            padding: 8px;
            box-shadow: 1rem 0 .5rem rgba(0, 0, 0, 0.1);
            border-radius: 0 0px 0px 0;
            background-color: var(--cds-color-background-default);
        }

        &:hover {
            .navLink__content {
                transform: translateX(8px);
                width: fit-content;
                display: block;
            }
        }
    }

    .navLink {
        display: flex;
        flex-direction: row;

        &__chevron,
        &__badge {
            display: none;
        }

        &__content {
            @include cds-paragraph-s;
            //box-shadow: $cds-elevation-subtle;
            color: var(--cds-color-text-inverted);
            background-color: var(--cds-color-background-inverted);
            //border: 1px solid var(--cds-color-border-inverted);
            box-sizing: border-box;
            display: none;
            padding-inline: 12px;
            border-radius: 0.25rem;
        }
    }

    .navItemOpen {
        & ul.navsubmenu {
            display: flex;
        }
    }
}